LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 
Reply

NI service update encountered an error

NI Update service encountered an error validating the integrity of one of the selected updates.

  1. Trying to update LabVIEW 2018 with a latest patch release
  2. Fails
  3. Resume
  4. Fails

Additional question:

Why doesn't NI package manager show there is a new update for LabVIEW environment but NI update service shows it?

 

NIUpdateService_2019-02-11_10-15-26.png

 

NIUpdateService_2019-02-11_10-15-42.png

NI System Configuration:
- NI PXIe-1071, 4-Slot 3U PXI Express Chassis , 1 GB/Slot throughput, Part Number: 781368-01
- NI PXIe-PCIe8381,x8 Gen2 MXI-Express for PXI Express Interface,3m, Part Number: 782522-01
- PXIe-5160 PXI Oscilloscope, 500 MHz, 10 bits, 2.5 GS/s, 2 Channels, 64 MB, Part Number: 782621-01
- Astronics PXIe-1209 2-Channel, 100 MHz PXI Pulse Generator, Part Number: 785033-01
0 Kudos
Message 1 of 5
(138 Views)
Highlighted

I am having the same problem, so look forward to seeing a response. 

0 Kudos
Message 2 of 5
(103 Views)

Asukumari, are you able to download the latest patch directly from the NI website manually? I don't know a good solution to the issue of NI Update Service not behaving correctly, currently - but a good band-aid is to download it directly. 

 

LabVIEW 2018 SP1 (64-bit)

0 Kudos
Message 3 of 5
(89 Views)

I already tried to do that, download the latest patch 2018-f2 patch 64-bit and install it, it won't succeed. If I remember correctly the error message was, you need to have LabVIEW 2018 installed first to apply the patch or something along the lines as such.

NI System Configuration:
- NI PXIe-1071, 4-Slot 3U PXI Express Chassis , 1 GB/Slot throughput, Part Number: 781368-01
- NI PXIe-PCIe8381,x8 Gen2 MXI-Express for PXI Express Interface,3m, Part Number: 782522-01
- PXIe-5160 PXI Oscilloscope, 500 MHz, 10 bits, 2.5 GS/s, 2 Channels, 64 MB, Part Number: 782621-01
- Astronics PXIe-1209 2-Channel, 100 MHz PXI Pulse Generator, Part Number: 785033-01
0 Kudos
Message 4 of 5
(80 Views)

Asukumari, can you confirm which version of LabVIEW you're using? (Open LabVIEW -> Help toolbar -> About LabVIEW...)

I'm just curious if there's some weird compatibility issue that hasn't been patched yet.

0 Kudos
Message 5 of 5
(66 Views)